2 Replies Latest reply on Jan 27, 2016 2:03 AM by mattflinton@comcast.net

    Today when I was trying to install Star Wars battlefront for the PC,

    mattflinton@comcast.net

      I received an error message "please update your AMD Radeon driver detected AMD Radeon driver version unknown. The required driver version is 13.251 or later. Please update your drivers at AMD.com before playing this game." Now when I went to ATI would you might I attempted to download the latest drivers. The error message I received was these drivers or corrupt or invalid. The ATI driver series that I have is 4300 to 4500

      any help would be appreciated. Thank you